using GameAtlas.Models;
using System.Diagnostics;

namespace GameAtlas.Views;

public partial class PageJeu : ContentPage
{
    public Jeu JeuModel { get; set; }

	//public Manager JeuManager { get; set; } = new Manager();
    public Manager JeuManager => (App.Current as App).MyManager;

    public PageJeu()
	{
		InitializeComponent();

        BindingContext = JeuManager;
    }

    public PageJeu(Jeu jeu)
    {

        JeuModel = jeu;

        InitializeComponent();

        BindingContext = this;


    }

    async void OnAddTapped(System.Object sender, Microsoft.Maui.Controls.TappedEventArgs e)
    {
        string action = await DisplayActionSheet("Choix de la liste:", "Annuler", null, "Mes Favoris", "Jeux Possds");
        Debug.WriteLine("Popup Action: " + action);

        if (JeuManager.ConnectedUser != null)
        {
            if (action == "Mes Favoris")
            {
                JeuManager.ConnectedUser.ListeFavoris.Add(JeuModel);
                Debug.WriteLine($"Ajout du jeu {JeuModel.Nom}  la Liste Favoris de {JeuManager.ConnectedUser.Pseudo}.");
                JeuManager.OnPropertyChanged(nameof(JeuManager.ConnectedUser));
                JeuManager.SauvegardeDonnees();
            }
            else if (action == "Jeux Possds")
            {
                JeuManager.ConnectedUser.ListePossedes.Add(JeuModel);
                Debug.WriteLine($"Ajout du jeu {JeuModel.Nom}  la Liste Possds de {JeuManager.ConnectedUser.Pseudo}.");
                JeuManager.OnPropertyChanged(nameof(JeuManager.ConnectedUser));
                JeuManager.SauvegardeDonnees();
            }
        }
        else
        {
            await DisplayAlert("Erreur", "Vous devez vous connecter pour faire cela !", "Ok");
        }
        return;
    }

    async void Back_Tapped(System.Object sender, Microsoft.Maui.Controls.TappedEventArgs e)
    {
        await Navigation.PopAsync();
    }
}